Update domain nameservers
Deferred
PUT
https://api.lws.net/v1/
operationIdputDomainDns
Update the nameservers (NS1-NS4) for the specified domain. Invalid or duplicated NS will not be taken into account and all 4 must be added, even if they are the same as before.
This request is processed in the background: it answers immediately while the work continues. Follow it with the task or request endpoints.
Path parameters
-
domainstring required -
Domain name whose DNS to change
Request body
application/json
-
ns1stringrequiredPrimary nameserver
-
ns2stringrequiredSecondary nameserver
-
ns3stringrequiredTertiary nameserver
-
ns4stringrequiredQuaternary nameserver
Example request
{
"ns1": "ns1.lwsdns.com",
"ns2": "ns2.lwsdns.com",
"ns3": "ns3.lwsdns.com",
"ns4": "ns4.lwsdns.com"
}
Responses
200
DNS nameservers update request pending
{
"code": 200,
"info": "Your request to change the DNS of the domain is currently pending. If no changes are made after a few minutes, please make sure the nameservers are valid.",
"data": "pending"
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastring
314
Domain not found on the account
314 is not a registered HTTP status code. It is specific to this API.
{
"code": 314,
"info": "Provided domain has not been found on your account. You must own this domain to manage it."
}
Response fields 2 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
400
Invalid input
{
"code": 400,
"info": "At least 2 nameservers are required",
"data": [
"string"
]
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastring[]
500
Internal Server Error
{
"code": 500,
"info": "Internal Server Error",
"data": "string"
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastringError message
502
Bad Gateway
{
"code": 502,
"info": "Invalid response from upstream server",
"data": []
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
dataobjectInvalid response returned by the server
503
Unexpected status
{
"code": 503,
"info": "Unexpected status: {status}",
"data": [
"string"
]
}
Response fields 3 Extends ApiEnvelope
-
codeintegerApplication-level status/error code (not always equal to the HTTP status code)
-
infostringHuman-readable message describing the result of the request
-
datastring[]
401
Unauthorized - Missing authentication headers
{
"code": 401,
"info": "Unauthorized access to the API. Please specify X-Auth-Pass and X-Auth-Login to proceed."
}
Response fields 2
-
codeinteger -
infostring
429
Rate limit exceeded
{
"code": 429,
"info": "Rate limit exceeded. Please try again later."
}
Response fields 2
-
codeinteger -
infostring